/* country switcher start */
.location-selector {
    display: flex;
    align-items: center;
    cursor: pointer;
    font-family: 'Sennheiser Neue';
}
.location-dropdown {
    display: flex;
    align-items: center;
    gap: 8px;
}

.location-dropdown .flag-icon {
    height: 24px;
    width: 24px;
    min-width: 24px;
    border-radius: 50%;
    overflow: hidden;
}

.location-dropdown .flag-icon img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.location-dropdown .country-name {
    padding-top: 2px;
    color: #aaa;
    font-size: 16px;
    line-height: 1;
    display: block;
    font-weight: 400;
}

.location-dropdown .svg-wrapper {
    transition: all 0.2s ease;
    transform: rotate(180deg);
    width: fit-content;
}

.location-dropdown.active .svg-wrapper {
    transform: rotate(0deg);
}

.location-dropdown .svg-wrapper svg {
    width: 12px;
    min-width: 12px;
    height: auto
}

.location-slide-panel {
    display: none;
    position: absolute;
    top: 100%;
    left: 24px;
    width: calc(100% - 48px);
    z-index: 999;
    background: #000;
    color: #fff;
    border-bottom: 4px solid #037CC2;
    border-radius: 0 0 4px 4px;
    border-top: 1px solid #222222;
    box-shadow: 0px 25px 50px -12px #00000040;
    overflow-y: auto;
    max-height: 78dvh;
    overflow: hidden;
    overflow-y: auto;
    font-family: 'Sennheiser Neue';
    scrollbar-width: thin;
    scrollbar-color: #dcdcdc59 #6161674d;
}

.location-slide-panel .location-panel-container {
    padding: 48px 24px 60px;
    max-width: 1280px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 24px;
    max-height: 78dvh;
    height: 720px;
}

.location-slide-panel .location-panel-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.location-slide-panel .location-panel-title-wrap h2 {
    font-size: 24px;
    line-height: 1.3;
    margin-bottom: 5px;
    font-weight: 400;
}

.location-slide-panel .location-panel-title-wrap p {
    font-size: 16px;
    line-height: 1.5;
    color: #818183;
}

.location-slide-panel .location-panel-close {
    background: none;
    border: none;
    color: #9F9FA9;
    cursor: pointer;
    height: 32px;
    width: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}

.location-slide-panel .location-panel-close:hover {
    color: #fff;
}

.location-slide-panel .search-with-country-card {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 20px;
}

.location-slide-panel .search-with-country-card .country-card {
    background-color: #333333;
    padding: 5px 12px;
    min-height: 100%;
    min-width: 230px;
    max-width: 250px;
    cursor: inherit;
}

.location-slide-panel .search-with-country-card .country-name {
        -webkit-line-clamp: 1;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

.location-slide-panel .search-with-country-card .country-flag {
    width: 40px;
    min-width: 40px;
    height: auto;
    margin-top: 5px;
}

.location-slide-panel .search-with-country-card .country-details {
    display: block;
    flex: 1;
    overflow: hidden;
}

.location-slide-panel .location-search-wrapper {
    position: relative;
    flex: 1;
}

.location-slide-panel .location-search-icon {
    position: absolute;
    left: 18px;
    top: 50%;
    transform: translateY(-50%);
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
}

.location-slide-panel .location-search-icon svg {
    height: 16px;
    width: 16px;
}

.location-slide-panel .location-search-input {
    width: 100%;
    background: #333333;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #fff;
    font-size: 16px;
    outline: none;
    padding: 14px 12px 12px 44px;
    min-height: 40px;
}

.location-slide-panel .location-search-input::placeholder {
    color: #aaa;
}

.location-slide-panel .location-search-input:focus {
    border-color: #037CC2;
}

.location-slide-panel .location-regions-content {
    flex: 1;
    overflow-y: auto;
    min-height: 0;
    scrollbar-width: thin;
    scrollbar-color: #dcdcdc59 #6161674d;
    padding-right: 8px;
    padding-bottom: 8px;
}

.location-slide-panel .location-regions-tabs {
    display: flex;
    gap: 44px;
    border-bottom: 1px solid #222222;
}

.location-slide-panel .region-tab {
    background: none;
    border: none;
    color: #818183;
    cursor: pointer;
    font-size: 16px;
    line-height: 1;
    text-transform: uppercase;
    padding: 20px 0;
    border-bottom: 4px solid transparent;
    transition: all 0.3s ease;
}

.location-slide-panel .region-tab.active {
    border-color: #037CC2;
    color: #fff;
}

.location-slide-panel .location-regions-content .region-content-group {
    display: none;
}

.location-slide-panel .location-regions-content .region-content-group.active {
    display: block;
}

.location-slide-panel .region-title {
    color: #037CC2;
    font-size: 14px;
    line-height: 1.4;
    margin-bottom: 16px;
    text-transform: uppercase;
    font-weight: 400;
    font-family: inherit;
}

.location-slide-panel .countries-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 16px;
}

.location-slide-panel .country-card {
    display: flex;
    align-items: start;
    gap: 12px;
    background-color: #272727;
    padding: 12px;
    border-radius: 4px;
    text-decoration: none;
    color: #fff;
    transition: background-color 0.3s ease;
}

.location-slide-panel .country-card.active {
    border: 2px solid #037cc2;
}

.location-slide-panel .region-tab .country-card:hover {
    background-color: #333;
}

.location-slide-panel .country-flag {
    border-radius: 4px;
    height: auto;
    width: 46px;
    overflow: hidden;
    aspect-ratio: 4 / 3;
    margin-top: 3px;
}

.location-slide-panel .country-flag img {
    height: 100%;
    object-fit: cover;
    width: 100%;
}

.location-slide-panel .country-details {
    display: flex;
    gap: 8px;
    justify-content: space-between;
    flex: 1;
}

.location-slide-panel .country-details .icon-wrap {
    margin-top: 3px;
    width: 20px;
    min-width: 20px;
    height: 20px;
}

.location-slide-panel .country-details .icon-wrap.mobile {
    display: none;
}

.location-slide-panel .country-details .icon-wrap svg {
    width: 100%;
}

.location-slide-panel .country-name {
    display: block;
    font-size: 16px;
    font-family: inherit;
}

.location-slide-panel .country-card .selected-country {
    display: flex;
    align-items: center;
    font-size: 14px;
    line-height: 1;
    margin-top: 3px;
    color: #037cc2;
}

.location-slide-panel .country-languages {
    display: block;
    font-size: 16px;
    line-height: 1;
    margin-top: 6px;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    align-items: center;
    color: #616267;
    text-transform: uppercase;
}

.location-slide-panel .country-languages a {
        color: #fff;
    position: relative;
    transition: all .3s;
    background: #3D3D3D;
    padding: 2px 8px 3px;
    font-size: 14px;
    font-weight: 400;
    min-height: 22px;
    min-width: 36px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 2px;
}

.location-slide-panel .country-languages a:hover {
    background: #4d4d4d;
}

.location-slide-panel .country-languages .tooltip-block {
    position: absolute;
    bottom: calc(100% + 6px);
    left: 50%;
    transform: translateX(-50%);
    background-color: #fff;
    color: #000;
    font-size: 12px;
    line-height: 1;
    padding: 8px 12px 6px;
    border-radius: 8px;
    z-index: 1;
    box-shadow: 0px 1px 4px rgba(12, 12, 13, 0.1), 0px 1px 4px rgba(12, 12, 13, 0.05);
    text-transform: none;
    font-family: inherit;
    min-height: 33px;
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
    white-space: nowrap;
    font-weight: 400;
}

.location-slide-panel .country-languages a:hover .tooltip-block {
    display: flex;
}

.location-slide-panel .country-languages .tooltip-block::before {
    content: "";
    position: absolute;
    bottom: -4px;
    left: 50%;
    transform: translateX(-50%) rotate(-45deg);
    background-color: #fff;
    height: 8px;
    width: 8px;
}

.location-slide-panel .country-languages a.active {
    background-color: #037CC2;
    font-weight: 500;
}

body.store-locator-opened .header .header__row {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.location-slide-panel .location-search-results {
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: #dcdcdc59 #6161674d;
    padding-right: 8px;
}

.location-slide-panel .location-search-results .search-region:not(:last-child) {
    margin-bottom: 20px;
}

/* country switcher end */
@media (min-width: 1280px) {
    body.search-input-expand .location-selector {
        display: none;
    }
}
@media (max-height: 520px) {
    .location-slide-panel .location-regions-content {
        min-height: 500px;
    }
}

@media (max-width: 1279px) {

    /* country switcher start */
    .location-slide-panel .location-panel-container {
        padding: 30px 16px 40px;
    }
    .location-slide-panel .countries-grid {
        grid-template-columns: repeat(4, 1fr);
    }
    /* country switcher end */
}

@media (max-width: 1199px) {
    .location-slide-panel .countries-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 1023px) {
    .location-slide-panel {
        left: 16px;
        width: calc(100% - 32px);
    }
}

@media (max-width: 991px) {
    /* country switcher start */
    .location-slide-panel .location-panel-container {
        padding: 24px 16px;
    }
    .location-slide-panel .location-panel-title-wrap h2 {
        font-size: 20px;
        margin-bottom: 3px;
    }

    .location-slide-panel .location-panel-title-wrap p {
        font-size: 14px;
    }
    .location-slide-panel .search-with-country-card .country-details {
        display: flex;
        align-items: center;
        gap: 6px;
    }
    .location-slide-panel .search-with-country-card .country-flag {
        width: 30px;
        margin-top: 0;
    }
    .location-slide-panel .location-search-input {
        padding: 7px 10px 7px 40px;
        min-height: 40px;
    }
    .location-slide-panel .location-search-icon {
        left: 12px;
    }
    .location-slide-panel .search-with-country-card .country-card {
        padding: 5px 10px;
        align-items: center;
    }
    .location-slide-panel .location-panel-container,
    .location-slide-panel .search-with-country-card {
        gap: 16px;
    }
    .location-slide-panel .location-regions-tabs {
        gap: 24px;
        margin-bottom: 8px;
    }
    .location-slide-panel .region-tab {
        font-size: 14px;
        padding: 8px 0;
    }

    .location-slide-panel .country-card .selected-country {
        margin-top: 0;
    }

    .location-slide-panel .country-card .selected-country,
    .location-slide-panel .country-languages,
    .location-slide-panel .country-name {
        font-size: 14px;
    }
    .location-dropdown .country-name {
        display: none;
    }
    .location-slide-panel .countries-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    /* country switcher end */
}

@media (max-width: 767px) {
    /* country switcher start */
    .location-slide-panel .countries-grid {
        gap: 12px;
    }
    .location-slide-panel .country-flag {
        width: 38px;
    }
    /* country switcher end */
}

@media (max-width: 667px) {
    /* country switcher start */
    .location-slide-panel .search-with-country-card .country-card {
        flex: 0 0 40px;
        min-width: 40px;
        border-radius: 0;
        background-color: transparent;
        padding: 0;
        aspect-ratio: 1 / 1;
    }
    .location-slide-panel .search-with-country-card .country-details {
        display: none;
    }
    .location-slide-panel .search-with-country-card .country-flag {
        width: 100%;
        min-width: 100%;
        height: 100%;
    }
    /* country switcher end */
}

@media (max-width: 575px) {
    /* country switcher start */
    .location-slide-panel .countries-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .location-dropdown .svg-wrapper {
        display: none;
    }
    .location-slide-panel .country-details .left-wrap {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: start;
        gap: 6px;
        flex: 1;
    }
    .location-slide-panel .country-details .country-name {
        display: flex;
        gap: 6px;
        align-items: start;
        justify-content: space-between;
        width: 100%;
    }
    .location-slide-panel .country-details .icon-wrap {
        width: 16px;
        min-width: 16px;
        height: 16px;
    }
    .location-slide-panel .country-flag {
        width: 34px;
    }
    .location-slide-panel .country-details .icon-wrap.mobile {
        display: block;
        margin: 0 0 1px;
    }
    .location-slide-panel .country-details .icon-wrap.desktop {
        display: none;
    }
    .location-slide-panel .country-details .country-languages {
        margin-top: 0;
    }
    /* country switcher end */
}

@media (max-width: 400px) {
    .location-dropdown .flag-icon {
        height: 20px;
        width: 20px;
        min-width: 20px;
    }
}